低危 GNU Binutils拒绝服务漏洞

CVE编号

CVE-2020-16592

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-12-10
漏洞描述
GNU Binutils(GNU Binary Utilities或binutils)是GNU社区的开发的一组编程语言工具程序。该程序主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。 GNU Binutils libbfd 存在安全漏洞,该漏洞源于bfd_hash_lookup中存在一个释放后重利用的问题,如nm-new中所示,它可以通过一个制作好的文件导致拒绝服务。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils 2.34 -
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
运行在以下环境
系统 debian_11 binutils * Up to
(excluding)
2.35.2-2
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
运行在以下环境
系统 debian_sid binutils * Up to
(excluding)
2.35.2-2
运行在以下环境
系统 fedora_32 binutils * Up to
(excluding)
2.32-8.fc32
运行在以下环境
系统 fedora_33 binutils * Up to
(excluding)
2.34-4.fc33
运行在以下环境
系统 opensuse_Leap_15.2 binutils * Up to
(excluding)
2.37-lp152.4.9.1
运行在以下环境
系统 opensuse_Leap_15.3 binutils * Up to
(excluding)
2.37-7.21.1
运行在以下环境
系统 suse_12_SP5 binutils * Up to
(excluding)
2.37-9.39.1
运行在以下环境
系统 unionos_20 binutils * Up to
(excluding)
2.31.1.3-1+eagle
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况